From c2d0b18013a5d7fe90a9fd7f467d50c8d3ebec54 Mon Sep 17 00:00:00 2001
From: John Naylor <john.naylor@postgresql.org>
Date: Fri, 20 Aug 2021 10:34:26 -0400
Subject: [PATCH v2 1/4] Change references to unicode_combining_table to
 unicode_width_table

No functional changes
---
 src/common/unicode/Makefile                                   | 4 ++--
 ...ode_combining_table.pl => generate-unicode_width_table.pl} | 0
 src/common/wchar.c                                            | 2 +-
 .../{unicode_combining_table.h => unicode_width_table.h}      | 0
 4 files changed, 3 insertions(+), 3 deletions(-)
 rename src/common/unicode/{generate-unicode_combining_table.pl => generate-unicode_width_table.pl} (100%)
 rename src/include/common/{unicode_combining_table.h => unicode_width_table.h} (100%)

diff --git a/src/common/unicode/Makefile b/src/common/unicode/Makefile
index eb14add28a..499e31d59f 100644
--- a/src/common/unicode/Makefile
+++ b/src/common/unicode/Makefile
@@ -18,7 +18,7 @@ LIBS += $(PTHREAD_LIBS)
 # By default, do nothing.
 all:
 
-update-unicode: unicode_norm_table.h unicode_combining_table.h unicode_normprops_table.h unicode_norm_hashfunc.h
+update-unicode: unicode_norm_table.h unicode_width_table.h unicode_normprops_table.h unicode_norm_hashfunc.h
 	mv $^ ../../../src/include/common/
 	$(MAKE) normalization-check
 
@@ -35,7 +35,7 @@ unicode_norm_hashfunc.h: unicode_norm_table.h
 unicode_norm_table.h: generate-unicode_norm_table.pl UnicodeData.txt CompositionExclusions.txt
 	$(PERL) generate-unicode_norm_table.pl
 
-unicode_combining_table.h: generate-unicode_combining_table.pl UnicodeData.txt
+unicode_width_table.h: generate-unicode_width_table.pl UnicodeData.txt
 	$(PERL) $^ >$@
 
 unicode_normprops_table.h: generate-unicode_normprops_table.pl DerivedNormalizationProps.txt
diff --git a/src/common/unicode/generate-unicode_combining_table.pl b/src/common/unicode/generate-unicode_width_table.pl
similarity index 100%
rename from src/common/unicode/generate-unicode_combining_table.pl
rename to src/common/unicode/generate-unicode_width_table.pl
diff --git a/src/common/wchar.c b/src/common/wchar.c
index 0636b8765b..bb97b5f54f 100644
--- a/src/common/wchar.c
+++ b/src/common/wchar.c
@@ -644,7 +644,7 @@ mbbisearch(pg_wchar ucs, const struct mbinterval *table, int max)
 static int
 ucs_wcwidth(pg_wchar ucs)
 {
-#include "common/unicode_combining_table.h"
+#include "common/unicode_width_table.h"
 
 	/* test for 8-bit control characters */
 	if (ucs == 0)
diff --git a/src/include/common/unicode_combining_table.h b/src/include/common/unicode_width_table.h
similarity index 100%
rename from src/include/common/unicode_combining_table.h
rename to src/include/common/unicode_width_table.h
-- 
2.31.1

